#include <boost/python.hpp>

double f(double x)
{
  return x*x*x - 3*x;
}
   
double integrate_f(const double a, const double b, const int N)
{
  double s = 0.0;
  const double dx = (b-a)/N;
  long i;
  for (i=0;i<N;i++)
    {
      s += f(a+i*dx);
    }
  return s * dx;
}


namespace python = boost::python;

BOOST_PYTHON_MODULE(integr)
{
  python::def("f",f);
  python::def("integrate_f",integrate_f);
}
